#ifndef GSDL_MODULES_CFG__H
#define GSDL_MODULES_CFG__H

/**********************************************************************
 *
 * gsdl_modules_cfg.h -- 
 * Copyright (C) 2004  The New Zealand Digital Library Project
 *
 * A component of the Greenstone digital library software
 * from the New Zealand Digital Library Project at the
 * University of Waikato, New Zealand.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *********************************************************************/

// BASE CONFIG
#define GSDL_USE_PER_COLLECTION_SETTINGS
#define GSDL_SOURCE_DIRECTORY            "files"

// FNORD CONFIG
#define GSDL_USE_MULTILANGUAGE_INTERFACE

//RECEPTIONIST CONFIG
#define GSDL_USE_SESSIONS

//QUERY CONFIG
#define GSDL_USE_REMOVE_TAG_TERMS
#undef  GSDL_USE_SAFEM_QUERY_FORMAT

//DOCUMENT CONFIG
// ONLY ONE GSDL_SKIP_* option can be enabled
#define GSDL_SKIP_ONLY_EMPTY_DOC
#undef  GSDL_SKIP_ALL_EMPTY_DOC_PARTS
#undef  GSDL_USE_DOCUMENT_ASSOC_LANGS
#define GSDL_USE_CL_SINGLE_DOCUMENT


//ACTION MODULES
#define GSDL_USE_AUTHEN_ACTION
#define GSDL_USE_BROWSE_ACTION
#define GSDL_USE_COLLECTOR_ACTION
#define GSDL_USE_EXTLINK_ACTION
#undef  GSDL_USE_GTI_ACTION
#define GSDL_USE_PHIND_ACTION
#define GSDL_USE_PING_ACTION
#define GSDL_USE_STATUS_ACTION
#define GSDL_USE_TIP_ACTION
#define GSDL_USE_USERS_ACTION

#undef  GSDL_USE_CL_DISPLAY_ACTION
#undef  GSDL_USE_COURSES_ACTION
#undef  GSDL_USE_DIR_BROWSE_ACTION
#undef  GSDL_USE_EXPORT_ACTION
#undef  GSDL_USE_GENERATOR_ACTION
#undef  GSDL_USE_INDEX_BROWSE_ACTION


//BROWSER MODULES
#undef  GSDL_USE_CLASSIFIER_BROWSER
#undef  GSDL_USE_TREE_EX_CLASSIFIER_BROWSER
#undef  GSDL_USE_CLONE_BROWSER
#define GSDL_USE_DATELIST_BROWSER
#define GSDL_USE_HTML_BROWSER
#define GSDL_USE_PAGED_BROWSER
#define GSDL_USE_PHIND_BROWSER

//FILTERS
#undef  GSDL_USE_DIR_BROWSEFILTER

//BROWSERS ADD-IN
#define GSDL_USE_BY_BOOK_MACROS
#undef  GSDL_USE_FLOAT_TOC

#include "gsdl_compatibility_cfg.h"

#endif //!GSDL_MODULES_CFG__H
